This is the core / base for a set of accessible class websites. A good example (which this was based on) is [cse340](https://courses.cs.washington.edu/courses/cse340/)

# How to use
To use this website, the following steps are necessary:

1. Fork the website, so you can customize it
2. Update the folowing variables and files:
   * in .gitlab-ci.yml 
        ```variables:
            quarter: eg21wi
            course: egcse340
          refs:
            - egCSE340-WI21```
3. If at UW, 
    * Create a directory in /courses/[your class] for this quarter
    * ask CSE support to enable your repo for the courseweb runner
    * Make sure to tell them which class this is for so they can set it up properly.
4. change the colors if you want to update the style. You can find them at the top of /assets/css/style.scss
5. update the favico in /assets/img
6. update the variables in _config.yml including the following and anything else  relevant
   * title
   * description
   * baseurl
   * twitter_username
   * git_username
   * git_branch
   * quarter
   * author
   
   

# Basic use:

rvm use ruby 2.6 # on M1 install with rvm install 2.6.6 --with-gcc=clang

bundle install # if needed

bundle exec jekyll build

bundle exec jekyll serve  &
